// with polyfills
import 'core-js/stable'
import 'regenerator-runtime/runtime'
import Print from 'vue-print-nb'


import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store/'
import i18n from './locales'
import { VueAxios } from './utils/request'
import ProLayout, { PageHeaderWrapper } from '@ant-design-vue/pro-layout'
import themePluginConfig from '../config/themePluginConfig'
import '@/utils/prototype'

import bootstrap from './core/bootstrap'
import './core/lazy_use'
import './permission' // permission control
import './utils/filter' // global filter
import './global.less'
import moment from 'moment'
import { FormModel, Empty } from 'ant-design-vue'
import { hasBtnPermission } from './utils/permissions'

window.Vue = Vue


import dataV from '@jiaminghi/data-view';
// 引入全局css
import './assets/scss/style.scss';
// 按需引入vue-awesome图标
import Icon from 'vue-awesome/components/Icon';
import 'vue-awesome/icons/chart-bar.js';
import 'vue-awesome/icons/chart-area.js';
import 'vue-awesome/icons/chart-pie.js';
import 'vue-awesome/icons/chart-line.js';
import 'vue-awesome/icons/align-left.js';

//引入echart
//4.x 引用方式
import echarts from 'echarts'
//5.x 引用方式为按需引用
//希望使用5.x版本的话,需要在package.json中更新版本号,并切换引用方式
//import * as echarts from 'echarts'
Vue.prototype.$echarts = echarts

Vue.use(FormModel)
Vue.use(Empty)
Vue.prototype.hasPerm = hasBtnPermission
Vue.prototype.$emptyImg = Empty.PRESENTED_IMAGE_SIMPLE

Vue.config.productionTip = false

Vue.use(Print); //注册
Vue.use(VueAxios)
// 全局注册
Vue.component('icon', Icon);
Vue.use(dataV);

Vue.component('pro-layout', ProLayout)
Vue.component('page-header-wrapper', PageHeaderWrapper)

window.umi_plugin_ant_themeVar = themePluginConfig.theme

// use([
//   CanvasRenderer,
//   BarChart,
//   TitleComponent,
//   TooltipComponent,
//   LegendComponent,
//   GridComponent
// ])

new Vue({
    router,
    store,
    i18n,
    created: bootstrap,
    render: h => h(App)
}).$mount('#app')

Vue.filter('moment', (dataStr, pattern = 'YYYY-MM-DD HH:mm:ss') => {
    if (!dataStr) return ''
    return moment(dataStr).format(pattern)
})
